> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tesouro.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get mailbox domains

> Get all domains owned by partner_id



## OpenAPI

````yaml /.tooling/schemas/rest/tags/product-finops.json get /finops/v1/mailbox-domains
openapi: 3.1.0
info:
  title: Tesouro Partner API
  version: '2025-06-23'
  description: The Tesouro REST API, for Tesouro partners to integrate with our solution.
  termsOfService: https://tesouro.com/terms
  contact:
    name: Tesouro team
    url: https://tesouro.com/about/
    email: developers@tesouro.com
servers:
  - url: https://api.sandbox.tesouro.com
    description: Sandbox
security: []
tags:
  - name: Accounting connections
  - name: Accounting data pull
  - name: Accounting synchronized records
  - name: Accounting tax rates
  - name: Analytics
  - name: Approval policies
  - name: Approval requests
  - name: Bank details
  - name: Comments
  - name: Cost centers
  - name: Counterpart VAT IDs
  - name: Counterpart addresses
  - name: Counterpart bank accounts
  - name: Counterpart contacts
  - name: Counterparts
  - name: Credit notes
  - name: Custom tax rates
  - name: Delivery notes
  - name: Documents
  - name: Entities
  - name: Entity users
  - name: Events
  - name: Files
  - name: Identity
  - name: Ledger accounts
  - name: Mail templates
  - name: Mailbox domains
  - name: Mailboxes
  - name: Measure units
  - name: OCR
  - name: Overdue reminders
  - name: PDF templates
  - name: Payable line items
  - name: Payables
  - name: Payment intents
  - name: Payment links
  - name: Payment methods
  - name: Payment records
  - name: Payment reminders
  - name: Payment terms
  - name: Products
  - name: Projects
  - name: Purchase orders
  - name: Receipts
  - name: Receivables
  - name: Recurrences
  - name: Tags
  - name: Text templates
  - name: Transactions
  - name: VAT rates
  - name: Webhook deliveries
  - name: Webhook subscriptions
paths:
  /finops/v1/mailbox-domains:
    get:
      tags:
        - Mailbox domains
      summary: Get mailbox domains
      description: Get all domains owned by partner_id
      operationId: get_mailbox-domains
      parameters:
        - required: true
          schema:
            type: string
            format: date
          example: '2025-06-23'
          name: x-finops-version
          in: header
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DomainListResponse'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorSchemaResponse'
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorSchemaResponse'
        '405':
          description: Method Not Allowed
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorSchemaResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorSchemaResponse'
      security:
        - HTTPBearer: []
components:
  schemas:
    DomainListResponse:
      properties:
        data:
          items:
            $ref: '#/components/schemas/DomainResponse'
          type: array
      type: object
      required:
        - data
    ErrorSchemaResponse:
      properties:
        error:
          $ref: '#/components/schemas/ErrorSchema'
      type: object
      required:
        - error
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
      type: object
    DomainResponse:
      properties:
        id:
          type: string
          format: uuid
          description: Entry UUID
        dedicated_ip:
          anyOf:
            - type: string
            - type: 'null'
          description: >-
            A dedicated IP address assigned to this mailbox and used to send
            outgoing email.
        dns_records:
          anyOf:
            - $ref: '#/components/schemas/DNSRecords'
            - additionalProperties: true
              type: object
        domain:
          type: string
          format: hostname
          description: The domain name.
        last_updated_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          description: The time the domain was updated for the last time
        status:
          type: string
      type: object
      required:
        - id
        - domain
        - status
        - dns_records
    ErrorSchema:
      properties:
        message:
          type: string
      type: object
      required:
        - message
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
        msg:
          type: string
        type:
          type: string
      type: object
      required:
        - loc
        - msg
        - type
    DNSRecords:
      properties:
        receiving_dns_records:
          items:
            $ref: '#/components/schemas/DNSRecord'
          type: array
          description: >-
            Set of DNS settings required by Mailgun for domain verification
            before emails receiving is possible.
        sending_dns_records:
          items:
            $ref: '#/components/schemas/DNSRecord'
          type: array
          description: >-
            Set of DNS settings required by Mailgun for domain verification
            before emails sending is possible.
      type: object
      required:
        - receiving_dns_records
        - sending_dns_records
    DNSRecord:
      properties:
        is_active:
          type: boolean
        name:
          anyOf:
            - type: string
            - type: 'null'
        record_purpose:
          anyOf:
            - $ref: '#/components/schemas/DNSRecordPurpose'
            - type: 'null'
          description: >-
            Purpose of specific entry to distinguish between various TXT
            entries.
        record_type:
          $ref: '#/components/schemas/DNSRecordType'
        valid:
          type: string
          description: Field reflecting validation status by Mailgun.
        value:
          type: string
      type: object
      required:
        - is_active
        - record_type
        - valid
        - value
    DNSRecordPurpose:
      type: string
      enum:
        - DKIM
        - SPF
    DNSRecordType:
      type: string
      enum:
        - TXT
        - MX
        - CNAME
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````